/*
 * Copyright 2020 Arne Vajh�j.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

#include <string.h>

typedef short int _int16;

#define NOCNT 20

static _int16 cnt[NOCNT] = { 0 };

#include "cnt.h"

int get_cnt_data(char *buf, int buflen)
{
    int i;
    int len = (buflen >= sizeof(cnt)) ? sizeof(cnt) : buflen;
    for(i = 0; i < NOCNT; i++)
    {
       cnt[i] += (i + 1) * (i + 1);
    }
    memcpy(buf, cnt, len);
    return len;
}

